# Import shared settings from pungi_general.conf
from pungi_general import *
# Import multilib settings from pungi_multilib.conf
from pungi_multilib import *

# PRODUCT INFO
release_version = '[[ release.version ]]'
release_type = 'updates[% if request.name == 'testing' %]-testing[% endif %]'
release_name = '[[ release.id_prefix.title() ]]'
release_short = '[[ release.id_prefix.title() ]]'


# GENERAL SETTINGS
bootable = False

variants_file='module-variants.xml'
sigkeys = [
[% if release.version_int == 28 %]
	'9db62fb1',
[% elif release.version_int == 30 %]
	'cfc659b9',
[% elif release.version_int == 31 %]
	'3c3359c4',
[% elif release.version_int == 32 %]
	'12c944d0',
[% elif release.version_int == 33 %]
	'9570ff31',
[% elif release.version_int == 34 %]
    '45719a39',
[% elif release.version_int == 35 %]
    '9867c58f',
[% elif release.version_int == 36 %]
    '38ab71f4',
[% elif release.version_int == 37 %]
    '5323552a',
[% elif release.version_int == 38 %]
    'eb10b464',
[% elif release.version_int == 39 %]
    '18B8e74c',
[% elif release.version_int == 8 %]
        '2f86d6a1',
[% endif %]
{% if env == "staging" %}
    [% if release.version_int == 8 %]
        'd300e724',
    [% endif %]
{% endif %}
]

module_defaults_dir = {
    'scm': 'git',
    {% if env == "staging" %}
        'repo': 'https://pagure.io/modularity/fedora-stg-module-defaults.git',
        [% if release.version_int == 8 %]
            'branch': 'el[[ release.version_int ]]',
        [% else %]
            'branch': 'f[[ release.version_int ]]',
        [% endif %]
    {% else %}
        'repo': 'https://pagure.io/releng/fedora-module-defaults.git',
        [% if release.version_int == 8 %]
            'branch': 'el[[ release.version_int ]]',
        [% else %]
            'branch': 'f[[ release.version_int ]]',
        [% endif %]
    {% endif %}
    'dir': '.'
}

module_obsoletes_dir = {
    'scm': 'git',
    {% if env == "staging" %}
        'repo': 'https://pagure.io/modularity/fedora-stg-module-defaults.git',
        [% if release.version_int == 8 %]
            'branch': 'el[[ release.version_int ]]',
        [% else %]
            'branch': 'f[[ release.version_int ]]',
        [% endif %]
    {% else %}
        'repo': 'https://pagure.io/releng/fedora-module-defaults.git',
        [% if release.version_int == 8 %]
            'branch': 'el[[ release.version_int ]]',
        [% else %]
            'branch': 'f[[ release.version_int ]]',
        [% endif %]
    {% endif %}
    'dir': 'obsoletes'
}

# RUNROOT settings
runroot = False

# PDC settings
pdc_url = 'https://pdc{{ env_suffix }}.fedoraproject.org/rest_api/v1'
pdc_insecure = False
pdc_develop = True

# GATHER
gather_method = 'nodeps'
gather_profiler = True
check_deps = False

# CREATEREPO
createrepo_deltas = False
[% if release.version_int >= 30 %]
createrepo_extra_args = ['--zck', '--zck-dict-dir=/usr/share/fedora-repo-zdicts/f[[ release.version_int ]]']
[% endif %]

#jigdo
create_jigdo = False

skip_phases= ["live_media", "ostree"]


translate_paths = [
   ('/mnt/koji/compose/', 'http://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/'),
]

createiso_skip = [
        ('^Everything$', {
            '*': True,
            'src': True
        }),
        ('^Server$', {
            '*': True,
            'src': True
        }),
]

filter_modules = [
    ('(Everything)$', {
        '*': [
        'perl*bootstrap:*',
        ]
    }),
]

koji_profile = 'bodhi_koji'
